Subject: [bug#77090] Patch to add linux-libre mnt/reform variant

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 22 Mar 2025 19:01:21 +0100

Thank you Vagrant for this work.

Vagrant Cascadian <[email-masked]> writes:
> +    (version "278f964619e597bf0b3aae67fef52bb541bc89e6")

This is a bad version; newer versions are not increasing.

The commit 278f964619e597bf0b3aae67fef52bb541bc89e6 you use for
reform-debian-packages is no longer the most recent commit.  Which commit
should we use?

We may need to remove the reprepro.sh (see end of this e-mail),

Vagrant Cascadian <[email-masked]> writes:
> +    (license (list
> +              ;; FIXME license:mit
> +              ;; FIXME license:FSFAP
> +              license:bsd-2
> +              license:gpl2
> +              license:gpl2+
> +              license:gpl3))))

Likely should be
(list license:gpl2
      license:gpl2+
      license:gpl3+
      license:x11
      license:expat
      license:fsf-free)

I do not know where in your list, license:bsd-2 comes from.  Possibly
license:bsd-2 is correct for some file, too?

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/patches/bmap-tools?ref_type=head
is license:gpl2, because bmaptools is and it is from a pull request to it.

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/patches/ffmpeg?ref_type=heads
ffmpeg is  license:gpl2+

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/patches/flash-kernel?ref_type=heads
is not copyright-worthy, but anyway
flash-kernel script is license:gpl2+

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/patches/mesa?ref_type=heads
Mesa has license:x11.
License:x11 is the MIT license.

(define x11
  (license "X11"
           "http://directory.fsf.org/wiki/License:X11"
           "https://www.gnu.org/licenses/license-list#X11License"))

<https://directory.fsf.org/wiki/License:X11>
is the same as the license header <https://gitlab.freedesktop.org/mesa/mesa/-/blob/main/src/panfrost/lib/pan_layout.c>

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/patches/reform-tools?ref_type=heads
I find <https://salsa.debian.org/reform-team/reform-tools>
which is license:gpl3+

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/patches/u-boot-menu?ref_type=heads
is <https://salsa.debian.org/debian/u-boot-menu>
appears to be license:gpl2 or license:gpl2+

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/build_custom.sh?ref_type=heads
https://source.mnt.re/reform/reform-debian-packages/-/blob/main/common.sh?ref_type=heads
https://source.mnt.re/reform/reform-debian-packages/-/blob/main/setup.sh?ref_type=heads
is # SPDX-License-Identifier: MIT
is <https://spdx.org/licenses/MIT.html>
is <https://directory.fsf.org/wiki/License:Expat>
is license:expat

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/filter-output?ref_type=heads
is # SPDX-License-Identifier: FSFAP
guix/import/utils.scm maps with %spdx-license-identifiers this way:
("FSFAP" . license:fsf-free)

https://source.mnt.re/reform/reform-debian-packages/-/blob/main/reprepro.sh?ref_type=heads
has no license :(
Remove it in an origin snippet?
Though you also do not use this tiny script.

I have not looked at the linux patches, but likely gpl2 or another
of the above GPL versions.

Regards,
Florian